## ECacheReaper

ECacheReaper

## Functions

void | e_cache_reaper_type_register ()
void | e_cache_reaper_add_private_directory ()
void | e_cache_reaper_remove_private_directory ()

## Description

## Functions

### e_cache_reaper_type_register ()

    void
    e_cache_reaper_type_register (GTypeModule *type_module);

### e_cache_reaper_add_private_directory ()

    void
    e_cache_reaper_add_private_directory (ECacheReaper *cache_reaper,
                                          const gchar *name);

Let's the `cache_reaper` know about a private directory named `name` , thus it won't delete it from cache or data directories. The `name` is just a directory name, not a path.

Since 3.18

#### Parameters

cache_reaper | an ECacheReaper |
name | directory name |

### e_cache_reaper_remove_private_directory ()

    void
    e_cache_reaper_remove_private_directory
                                   (ECacheReaper *cache_reaper,
                                    const gchar *name);

Remove private directory named `name` from the list of private directories in the `cache_reaper` , previously added with `e_cache_reaper_add_private_directory()`.

Since 3.18

#### Parameters

cache_reaper | an ECacheReaper |
name | directory name |